Bug 1192093 - Switch gupnp to Python 3
Summary: Switch gupnp to Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gupnp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-02-12 15:39 UTC by Bohuslav "Slavek" Kabrda
Modified: 2015-07-03 10:12 UTC (History)
4 users (show)

Fixed In Version: gupnp-0.20.14-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 10:12:13 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2015-02-12 15:39:30 UTC
Hi, as per [1], I'd like to ask you to switch to building with Python 3. Gupnp upstream is Python 3 compatible, so this should be a simple matter of switching from Python 2 to Python 3. Please do this for both F22 and rawhide. Feel free to contact me if you need help.
Note: the only thing causing dependency of Python 2 is the "#!/usr/bin/python" hashbang in /usr/bin/gupnp-binding-tool - you should just replace it with "#!/usr/bin/python3".
Thanks.

[1] https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

Comment 1 Bohuslav "Slavek" Kabrda 2015-02-18 10:09:05 UTC
Hi, can you please do this before the deadline for Changes for F22? Otherwise we'd probably have to postpone even https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements. Thanks.

Comment 2 Peter Robinson 2015-02-18 10:18:29 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #1)
> Hi, can you please do this before the deadline for Changes for F22?
> Otherwise we'd probably have to postpone even
> https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements.
> Thanks.

I'll review it when I get time. The planning has been open for F-22 feature development for _MONTHS_ and you lob this on me and expect it to be dealt with in under a week. You should have filed this bug at the same time you submitted the change request

Comment 3 Bohuslav "Slavek" Kabrda 2015-02-18 10:28:48 UTC
I opened this bug as soon as it was approved by FESCo that it's ok to file bugs for this change. Please note that gupnp is upstream compatible with Python 3 and this is only about switching the hashbang from /usr/bin/python to /usr/bin/python3 - a oneliner.

Comment 4 Peter Robinson 2015-02-18 10:31:05 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #3)
> I opened this bug as soon as it was approved by FESCo that it's ok to file
> bugs for this change. Please note that gupnp is upstream compatible with
> Python 3 and this is only about switching the hashbang from /usr/bin/python
> to /usr/bin/python3 - a oneliner.

It's also about seeing what other dependencies might be using it to ensure they're moved to python3 at the same time and checking what else might be impacted. The change might be simple, checking all the other things takes time.

Comment 5 Bohuslav "Slavek" Kabrda 2015-02-18 10:36:34 UTC
(In reply to Peter Robinson from comment #4)
> (In reply to Bohuslav "Slavek" Kabrda from comment #3)
> > I opened this bug as soon as it was approved by FESCo that it's ok to file
> > bugs for this change. Please note that gupnp is upstream compatible with
> > Python 3 and this is only about switching the hashbang from /usr/bin/python
> > to /usr/bin/python3 - a oneliner.
> 
> It's also about seeing what other dependencies might be using it to ensure
> they're moved to python3 at the same time and checking what else might be
> impacted. The change might be simple, checking all the other things takes
> time.

The one script that creates dependency on Python 3 lives in /usr/bin and thus is not importable. Other software can only invoke as subprocess, not import it - meaning that depending packages (if any) don't care if this runs on Python 2 on Python 3. Is there something I'm missing here?

Comment 6 Robert Kuska 2015-07-03 07:20:43 UTC
Python3 as default system wide change was accepted (under differet name).

Please switch your package to run on Python3.


Note You need to log in before you can comment on or make changes to this bug.